Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.deployment
Class TypeMappingDescription

    java.lang.Object
      org.jboss.webservice.deployment.TypeMappingDescription

public class TypeMappingDescription
extends Object

Abstracts an Axis service description

Since:
  08-June-2004
Author:
  thomas.diesler@jboss.org

Constructor Summary
`TypeMappingDescription(javax.xml.namespace.QName qname, javax.xml.namespace.QName anonymousQName, String javaType, org.apache.axis.enum.Use use, org.jboss.webservice.metadata.jaxrpcmapping.JavaXmlTypeMapping jaxrpcTypeMapping)`

Method Summary
`boolean` | `equals(Object obj)`
`javax.xml.namespace.QName` | `getAnonymousQName()`
`String` | `getDeserializerFactoryName()`
`String` | `getEncodingURI()`
`String` | `getJavaType()`
`BeanXMLMetaData` | `getMetaData()`
`String` | `getSerializerFactoryName()`
`javax.xml.namespace.QName` | `getTypeQName()`
`int` | `hashCode()`
`boolean` | `isUserDefined()`
`Class` | `loadJavaType(ClassLoader cl)` Load the javaType with the given class loader.
`void` | `setDeserializerFactoryName(String desFactoryName)`
`void` | `setEncodingURI(String encodingURI)`
`void` | `setMetaData(BeanXMLMetaData metaData)`
`void` | `setSerializerFactoryName(String serFactoryName)`
`void` | `setTypeQName(javax.xml.namespace.QName typeQName)`
`void` | `setUserDefined(boolean userDefined)`
`String` | `toString()`
`void` | `writeWSDD(PrintWriter out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeMappingDescription

    public TypeMappingDescription(javax.xml.namespace.QName qname,
                                  javax.xml.namespace.QName anonymousQName,
                                  String javaType,
                                  org.apache.axis.enum.Use use,
                                  org.jboss.webservice.metadata.jaxrpcmapping.JavaXmlTypeMapping jaxrpcTypeMapping)

Method Detail

### loadJavaType

    public Class loadJavaType(ClassLoader cl)

  Load the javaType with the given class loader.

### getJavaType

    public String getJavaType()

### getTypeQName

    public javax.xml.namespace.QName getTypeQName()

### getAnonymousQName

    public javax.xml.namespace.QName getAnonymousQName()

### getDeserializerFactoryName

    public String getDeserializerFactoryName()

### getSerializerFactoryName

    public String getSerializerFactoryName()

### getEncodingURI

    public String getEncodingURI()

### setEncodingURI

    public void setEncodingURI(String encodingURI)

### setTypeQName

    public void setTypeQName(javax.xml.namespace.QName typeQName)

### setSerializerFactoryName

    public void setSerializerFactoryName(String serFactoryName)

### setDeserializerFactoryName

    public void setDeserializerFactoryName(String desFactoryName)

### getMetaData

    public BeanXMLMetaData getMetaData()

### setMetaData

    public void setMetaData(BeanXMLMetaData metaData)

### isUserDefined

    public boolean isUserDefined()

### setUserDefined

    public void setUserDefined(boolean userDefined)

### writeWSDD

    public void writeWSDD(PrintWriter out)

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.